<?php
session_start();
define('MTOP', 1);
require_once('system/connect.php');
require_once('system/core.php');
require_once('system/function.php');
$isset = mysql_query("SELECT * FROM `sait` WHERE `id` = '".$id."'");
if(mysql_num_rows($isset) == 0){
$title = 'Ошибка';
require_once('head.php');
echo '<div class="title3">Ошибка</div>
<div class="title"><center>Сайта нет в базе</center></div>';
require_once('foot.php');
exit;
}

$online_sait = mysql_num_rows(mysql_query("SELECT * FROM `sait_online` WHERE `id_sait` = '".$id."'"));
$user = mysql_fetch_array($isset);
if($user['ban'] == 1 AND $user_data['level'] <= 1){
$title = 'Бан';
require_once('head.php');
echo '<div class="title3">Бан</div>
<div class="title"><center>Сайт заблокирован</center></div>';
require_once('foot.php');
exit;
}

if($user['status'] == 0 AND $user_data['level'] <= 1){
$title = 'Модерация';
require_once('head.php');
echo '<div class="title3">Модерация</div>
<div class="title"><center>Вы не можете смотреть статистику данного сайта, так как он проходит модерацию</center></div>';
require_once('foot.php');
exit;
}

switch($act){
default:
$title = 'Информация о сайте '.$user['url'].'';
require_once('head.php');
mysql_query("UPDATE `sait` SET  `count` = `count`+1 WHERE `id` = '".$id."'");
$category = mysql_fetch_array(mysql_query("SELECT * FROM `cat` WHERE `id` = '".$user['category']."'"));
$rat_plus = mysql_result(mysql_query("SELECT count(`id_sait`) FROM `reputation` WHERE `id_sait` = '".$id."' AND `type` = 'plus'"),0);
$rat_minus = mysql_result(mysql_query("SELECT count(`id_sait`) FROM `reputation` WHERE `id_sait` = '".$id."' AND `type` = 'minus'"),0);
$all_rat = $rat_plus + $rat_minus;
if($rat_plus > 0)
{
$procent_plus = round(($rat_plus/$all_rat)*100,1);
}
else
{
$procent_plus = '0';
}
if($rat_minus > 0)
{
$procent_minus = round(($rat_minus/$all_rat)*100,1);
}
else
{
$procent_minus = '0';
}
$proverka_reputation = mysql_result(mysql_query("SELECT count(`id_sait`) FROM `reputation` WHERE `ip` = '".$ip."' AND `time` > '".(time()-86400)."' AND `id_sait` = '".$id."'"),0);
echo '<div class="title3"><b>'.$user['name'].'</b></div>';
mysql_query("UPDATE `top_sait` SET  `count` = `count`+1 WHERE `id` = '".$id."'");
$day = mysql_fetch_array(mysql_query("SELECT * FROM `sait` WHERE `id` = '".$id."'"));
if(isset($user_data) AND $user_data['level'] >= 3 AND $user['status'] == 0)
echo '<div class="title"><center><b><font color="red">Сайт на модерации</font></b></center></div>';
else if($user['hosts'] <= 0 AND $user['ban'] == 0) echo '<div class="title"><center>Сайт не участвует в TOP-100</center></div>';
if(isset($user_data) AND $user_data['level'] >= 3 AND $user['ban'] == 1){
echo '<div class="title"><center><b><font color="red">Сайт заблокирован</font></b></center></div>';
echo '<div class="title">Дата блокировки: '.data($user['ban_time']).'<br/>';
if($user_data['level'] == 3){
if($user['ban_who'] != 0){
$ban_who = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id` = '".$user['ban_who']."'"));
echo 'Заблокировал: <a class="link" href="/mtop_panel/users.php?act=user&id='.$user['id_user'].'">'.$ban_who['login'].'</a></div>';
}
else
{
echo 'Заблокировал: Заблокирован системой</div>';
}
}
}
echo '<div class="title"><img src="http://mini.s-shot.ru/140x320/240/png/?http://'.$user['url'].'" align="top" alt="'.$user['url'].'"/></div>';
echo '<div class="title">';
echo 'ID: '.$user['id'].'<br/>';
echo 'Просмотров: '.$user['count'].'<br/>';
echo 'Название: '.$user['name'].'<br/>';
echo 'Адрес: <b><a href="http://'.$set['home'].'/out/'.$user['id'].'.php">'.$user['url'].'</a></b><br/>';
echo 'Категория: <b><a href="http://'.$set['home'].'/cat.php?act=view&id='.$user['category'].'.php">'.$category['name'].'</a></b><br/>';
echo 'Описание: '.$user['about'].'<br/>';
echo 'Сейчас на сайте: '.$online_sait.'</a> человек(а)</div>';
echo '<div class="title3">Рейтинг сайта</div>';
echo '<div class="title"><font color=green><strong>За</strong></font>: <strong>'.$rat_plus.'</strong> ['.$procent_plus.'%]<br/>';
echo '<font color=red><strong>Против</strong></font>: <strong>'.$rat_minus.'</strong> ['.$procent_minus.'%]';
if($proverka_reputation == 0)
{
echo '<hr><strong>Голосовать</strong>: ';
echo '<a href="http://'.$set['home'].'/infos.php?act=reputation_za&id='.$id.'">За</a> | <a href="http://'.$set['home'].'/infos.php?act=reputation_protiv&id='.$id.'">Против</a></div>';
}
echo '</div>';
$day = mysql_fetch_array(mysql_query("SELECT * FROM `sait` WHERE `id` = '".$id."'"));
$online = mysql_num_rows(mysql_query("SELECT * FROM `sait_online` WHERE `id_sait` = '".$id."'"));
$polzovatel = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id` = '".$user['id_user']."'"));
if($user_data['level'] == 3) echo '<div class="title">Добавил: <a class="link" href="/mtop_panel/users.php?act=user&id='.$polzovatel['id'].'">'.$polzovatel['login'].'</a><br/>';
if($user_data['level'] == 3) echo 'Дата добавления: '.data($user['time_reg']).'</div>';
if($user['status'] == 1 AND$user_data['level'] == 3){
$mod = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id` = '".$user['id_mod']."'"));
echo '<div class="title">Активировал:<a class="link" href="/mtop_panel/users.php?act=user&id='.$mod['id'].'">'.$mod['login'].'</a><br/>';
echo 'Дата активации: '.data($user['time_activ']).'</div>';
}
echo '<div class="title3">Сегодня</div>';
echo '<table width="100%" border="0" cellspacing="1" cellpadding="2">
<tr class="title"><td>Хостов:</td> <td>'.$day['hosts'].'</td></tr>
<tr class="title"><td>Хитов:</td> <td>'.$day['hits'].'</td></tr>
<tr class="title"><td>В топ:</td> <td>'.$day['in'].'</td></tr>
<tr class="title"><td>Из топа:</td> <td>'.$day['out'].'</td></tr></table>';
echo'<div class="title">Статистика: 
<b>информация о сайте</b> 
| <a href="http://'.$set['home'].'/infos.php?act=all&id='.$id.'">общая</a> 
| <a href="http://'.$set['home'].'/infos.php?act=hours&id='.$id.'">по часам</a> 
| <a href="http://'.$set['home'].'/infos.php?act=days&id='.$id.'">за 7 дней</a> 
| <a href="http://'.$set['home'].'/infos.php?act=dayss&id='.$id.'">за 30 дней</a> 
| <a href="http://'.$set['home'].'/infos.php?act=online&id='.$id.'">по онлайн</a> 
| <a href="http://'.$set['home'].'/infos.php?act=ip&id='.$id.'">по ip</a></div>';
break;

case 'all':
$title = 'Статистика общая '.$user['url'].'';
require_once('head.php');
$day = mysql_fetch_array(mysql_query("SELECT * FROM `sait` WHERE `id` = '".$id."'"));
echo '<div class="title3"><b>'.$user['name'].'</b> <small>('.$online_sait.' чел. онлайн)</small></div>';
echo '<table width="100%" border="0" cellspacing="1" cellpadding="2">
<tr class="title2">
<td colspan=2>Сегодня</span></td></tr>
<tr class="title"><td>Хостов:</td> <td>'.$day['hosts'].'</td></tr>
<tr class="title"><td>Хитов:</td> <td>'.$day['hits'].'</td></tr>
<tr class="title"><td>В топ:</td> <td>'.$day['in'].'</td></tr>
<tr class="title"><td>Из топа:</td> <td>'.$day['out'].'</td></tr>
<tr class="title2">
<td colspan=2>Вчера</span></td></tr>
<tr class="title"><td>Хостов:</td> <td>'.$day['hosts2'].'</td></tr>
<tr class="title"><td>Хитов:</td> <td>'.$day['hits2'].'</td></tr>
<tr class="title"><td>В топ:</td> <td>'.$day['in2'].'</td></tr>
<tr class="title"><td>Из топа:</td> <td>'.$day['out2'].'</td></tr>
<tr class="title2">
<td colspan=2>Всего</span></td></tr>
<tr class="title"><td>Хостов:</td> <td>'.$day['all_hosts'].'</td></tr>
<tr class="title"><td>Хитов:</td> <td>'.$day['all_hits'].'</td></tr>
<tr class="title"><td>В топ:</td> <td>'.$day['all_in'].'</td></tr>
<tr class="title"><td>Из топа:</td> <td>'.$day['all_out'].'</td></tr></table>
<div class="title">
Статистика: 
<a href="http://'.$set['home'].'/infos.php?id='.$id.'">информация о сайте</a> 
| <b>общая</b> 
| <a href="http://'.$set['home'].'/infos.php?act=hours&id='.$id.'">по часам</a> 
| <a href="http://'.$set['home'].'/infos.php?act=days&id='.$id.'">за 7 дней</a> 
| <a href="http://'.$set['home'].'/infos.php?act=dayss&id='.$id.'">за 30 дней</a> 
| <a href="http://'.$set['home'].'/infos.php?act=online&id='.$id.'">по онлайн</a> 
| <a href="http://'.$set['home'].'/infos.php?act=ip&id='.$id.'">по ip</a></div>';
break;

case 'hours':
$title = 'Статистика по часам '.$user['url'].'';
require_once('head.php');
echo '<div class="title3"><b>'.$user['name'].'</b> <small>('.$online_sait.' чел. онлайн)</small></div>';
echo '<table width="100%" border="0" cellspacing="1" cellpadding="2">
<tr class="title2"><td>Промежуток времени</td><td>Хосты</td><td>Хиты</td></tr>';
for($hour = 0; $hour< 24; $hour++){
$start_time = mktime($hour, 0, 0, date("m"), date("d"), date("Y"));
$finish_time = mktime($hour+1, 0, 0, date("m"), date("d"), date("Y"));
$hosts = mysql_num_rows(mysql_query("SELECT * FROM `hosts` WHERE `time` BETWEEN '".$start_time."' AND '".$finish_time."' AND `id_sait` = '".$id."'"));
$hits = mysql_num_rows(mysql_query("SELECT * FROM `hits` WHERE `time` BETWEEN '".$start_time."' AND '".$finish_time."' AND `id_sait` = '".$id."'"));
if(strlen($hour) == 1) $hour = '0'.$hour;
if(strlen($hour + 1) == 1) $f = '0'.($hour + 1);
else $f = $f + 1;
echo '<tr class="title"><td>'.$hour.':00 - '.($f).':00</td> <td>'.$hosts.'</td> <td>'.$hits.'</td></tr>';
}
echo '</table>';
echo '<div class="title">
Статистика: 
<a href="http://'.$set['home'].'/infos.php?id='.$id.'">информация о сайте</a> 
| <a href="http://'.$set['home'].'/infos.php?act=all&id='.$id.'">общая</a> 
| <b>по часам</b> 
| <a href="http://'.$set['home'].'/infos.php?act=days&id='.$id.'">за 7 дней</a> 
| <a href="http://'.$set['home'].'/infos.php?act=dayss&id='.$id.'">за 30 дней</a> 
| <a href="http://'.$set['home'].'/infos.php?act=online&id='.$id.'">по онлайн</a> 
| <a href="http://'.$set['home'].'/infos.php?act=ip&id='.$id.'">по ip</a></div>';
break;

case 'days':
$title = 'Статистика за 7 дней '.$user['url'].'';
require_once('head.php');
$day = mysql_fetch_array(mysql_query("SELECT * FROM `sait` WHERE `id` = '".$id."'"));
echo '<div class="title3"><b>'.$user['name'].'</b> <small>('.$online_sait.' чел. онлайн)</small></div>';
echo '<table width="100%" border="0" cellspacing="1" cellpadding="2">';
echo '<tr class="title2"><td>Дата</td><td>Хосты</td><td>Хиты</td></tr>';
echo '<tr class="title"><td>'.date('d.m').'</td><td class="tab">'.$day['hosts'].'</td><td class="tab">'.$day['hits'].'</td></tr>';
echo '<tr class="title"><td>'.date("d.m", strtotime("-1 day")).'</td> <td>'.$day['hosts2'].'</td> <td>'.$day['hits2'].'</td></tr>';
echo '<tr class="title"><td>'.date("d.m", strtotime("-2 day")).'</td> <td>'.$day['hosts3'].'</td> <td>'.$day['hits3'].'</td></tr>';
echo '<tr class="title"><td>'.date("d.m", strtotime("-3 day")).'</td> <td>'.$day['hosts4'].'</td> <td>'.$day['hits4'].'</td></tr>';
echo '<tr class="title"><td>'.date("d.m", strtotime("-4 day")).'</td> <td>'.$day['hosts5'].'</td> <td>'.$day['hits5'].'</td></tr>';
echo '<tr class="title"><td>'.date("d.m", strtotime("-5 day")).'</td> <td>'.$day['hosts6'].'</td> <td>'.$day['hits6'].'</td></tr>';
echo '<tr class="title"><td>'.date("d.m", strtotime("-6 day")).'</td> <td>'.$day['hosts7'].'</td> <td>'.$day['hits7'].'</td></tr>
</table>';
echo '<div class="title">
Статистика: 
<a href="http://'.$set['home'].'/infos.php?id='.$id.'">информация о сайте</a> 
| <a href="http://'.$set['home'].'/infos.php?act=all&id='.$id.'">общая</a> 
| <a href="http://'.$set['home'].'/infos.php?act=hours&id='.$id.'">по часам</a> 
| <b>за 7 дней</b> 
| <a href="http://'.$set['home'].'/infos.php?act=dayss&id='.$id.'">за 30 дней</a> 
| <a href="http://'.$set['home'].'/infos.php?act=online&id='.$id.'">по онлайн</a> 
| <a href="http://'.$set['home'].'/infos.php?act=ip&id='.$id.'">по ip</a></div>';
break;

case 'online':
$title = 'Статистика по онлайн '.$user['url'].'';
require_once('head.php');
echo '<div class="title3"><b>'.$user['name'].'</b> <small>('.$online_sait.' чел. онлайн)</small></div>';
$all = mysql_num_rows(mysql_query("SELECT * FROM `sait_online` WHERE `id_sait` = '".$id."'"));
if($all != 0){
echo '<table width="100%" border="0" cellspacing="1" cellpadding="2">
<tr class="title2"><td>IP</td><td>Браузер</td><td>Время</td></tr>';
$total=intval(($all-1)/$pages)+1;
$page=abs(intval($_GET['page']));
if(empty($page) OR $page < 0) $page = 1;
if($page > $total) $page = $total;
$past=intval($all/$pages);
$start=$page*$pages-$pages;
$onl = mysql_query("SELECT * FROM `sait_online` WHERE `id_sait` = '".$id."' LIMIT ".$start.",".$pages."");
while($row = mysql_fetch_array($onl)) echo '<tr class="title"><td>'.$row['ip'].'</td> <td>'.$row['ua'].'</td> <td>'.data($row['time']).'</td></tr>';
echo '</table>';
navigation($all,$pages,$page,'infos.php?act=online&id='.$id.'&',$total);
}
else {
echo '<div class="title"><center>Сейчас на сайте никого нет</center></div>';
}
echo '<div class="title">
Статистика: 
<a href="http://'.$set['home'].'/infos.php?id='.$id.'">информация о сайте</a> 
| <a href="http://'.$set['home'].'/infos.php?act=all&id='.$id.'">общая</a> 
| <a href="http://'.$set['home'].'/infos.php?act=hours&id='.$id.'">по часам</a> 
| <a href="http://'.$set['home'].'/infos.php?act=days&id='.$id.'">за 7 дней</a>
| <a href="http://'.$set['home'].'/infos.php?act=dayss&id='.$id.'">за 30 дней</a> 
| <b>по онлайн</b> 
| <a href="http://'.$set['home'].'/infos.php?act=ip&id='.$id.'">по ip</a></div>';
break;

case 'ip':
$title = 'Статистика по IP '.$user['url'].'';
require_once('head.php');
echo '<div class="title3"><b>'.$user['name'].'</b> <small>('.$online_sait.' чел. онлайн)</small></div>';
$start_time = mktime(00, 00, 00, date("m"), date("d"), date("Y"));
$finish_time = mktime(23, 59, 59, date("m"), date("d"), date("Y"));
$al = mysql_query("SELECT COUNT(`ip`) FROM `hits` WHERE `time` BETWEEN '".$start_time."' AND '".$finish_time."' AND `id_sait` = '".$id."'");
$all = mysql_result($al,0);
$count = mysql_num_rows(mysql_query("SELECT DISTINCT `ip` as `ip`, COUNT(`ip`) AS `count` FROM `hits` WHERE `time` BETWEEN '".$start_time."' AND '".$finish_time."' AND `id_sait` = '".$id."' GROUP BY `ip`"));
if($count > 0){
echo '<table width="100%" border="0" cellspacing="1" cellpadding="2">
<tr class="title2"><td>IP</td><td>Хиты</td><td>Проценты</td></tr>';
$total=intval(($count-1)/$pages)+1;
$page=abs(intval($_GET['page']));
if(empty($page) OR $page < 0) $page = 1;
if($page > $total) $page = $total;
$past=intval($count/$pages);
$start=$page*$pages-$pages;
$query = mysql_query("SELECT DISTINCT `ip` as `ip`, COUNT(`ip`) AS `count` FROM `hits` WHERE `time` BETWEEN '".$start_time."' AND '".$finish_time."' AND `id_sait` = '".$id."'  GROUP BY `ip` LIMIT ".$start.",".$pages."");
while($stata = mysql_fetch_array($query)){
$procent = ($stata['count'] / $all) * 100;
echo '<tr class="title"><td>'.$stata['ip'].'</td> <td>'.$stata['count'].'</td> <td>'.round($procent, 1).'%</td</tr>';
}
echo '</table>';
navigation($count,$pages,$page,'infos.php?act=ip&id='.$id.'&',$total);
}
else {
echo '<div class="title"><center>Нет статистики по IP для данного сайта</center></div>';
}
echo '<div class="title">
Статистика: 
<a href="http://'.$set['home'].'/infos.php?id='.$id.'">информация о сайте</a> 
| <a href="http://'.$set['home'].'/infos.php?act=all&id='.$id.'">общая</a> 
| <a href="http://'.$set['home'].'/infos.php?act=hours&id='.$id.'">по часам</a> 
| <a href="http://'.$set['home'].'/infos.php?act=days&id='.$id.'">за 7 дней</a>
| <a href="http://'.$set['home'].'/infos.php?act=dayss&id='.$id.'">за 30 дней</a> 
| <a href="http://'.$set['home'].'/infos.php?act=online&id='.$id.'">по онлайн</a> 
| <b>по ip</b></div>';
break;

case 'reputation_za':
$title = 'Рейтинг сайта '.$user['url'].'';
require_once('head.php');
echo '<div class="title3">Рейтинг сайта</div>';
$proverka_reputation = mysql_num_rows(mysql_query("SELECT * FROM `reputation` WHERE `ip` = '".$ip."' AND `time` > '".(time()-86400)."' AND `id_sait` = '".$id."'"));
if($proverka_reputation == 0)
{
$repa = mysql_query("INSERT INTO `reputation` SET `type` = 'plus', `ip` = '".$ip."', `time` = '".time()."', `id_sait` = '".$id."'");
if($repa)
{
echo '<div class="title">';
echo '<center>Репутация сайта успешно повышена на +1 единицу</center>';
echo '</div>';
}
else
{
echo '<div class="title">';
echo '<center>Репутация не изменена</center>';
echo '</div>';
}
}
else
{
echo '<div class="title">';
echo '<center>Вы уже голосовали за этот сайт, голосовать можно 1 раз в 24 часа</center>';
echo '</div>';
}
echo '<div class="title"><a href="http://'.$set['home'].'/infos.php?id='.$id.'">Назад</a></div>';
break;

case 'reputation_protiv':
$title = 'Рейтинг сайта '.$user['url'].'';
require_once('head.php');
echo '<div class="title3">Рейтинг сайта</div>';
$proverka_reputation = mysql_num_rows(mysql_query("SELECT * FROM `reputation` WHERE `ip` = '".$ip."' AND `time` > '".(time()-86400)."' AND `id_sait` = '".$id."'"));
if($proverka_reputation == 0)
{
$repa = mysql_query("INSERT INTO `reputation` SET `type` = 'minus', `ip` = '".$ip."', `time` = '".time()."', `id_sait` = '".$id."'");
if($repa)
{
echo '<div class="title">';
echo '<center>Репутация сайта успешно понижена на -1 единицу</center>';
echo '</div>';
}
else
{
echo '<div class="title">';
echo '<center>Репутация не изменена</center>';
echo '</div>';
}
}
else
{
echo '<div class="title">';
echo '<center>Вы уже голосовали за этот сайт, голосовать можно 1 раз в 24 часа</center>';
echo '</div>';
}
echo '<div class="title"><a href="http://'.$set['home'].'/infos.php?id='.$id.'">Назад</a></div>';
break;
}

require_once('foot.php');
?>